Run an availability search for a given itinerary.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Availability Search Request Examples

In the first example the caller is looking for any available aircraft for a one way from ESSA to ESGG, for one passenger, departing from ESSA at 09:00 local time on Nov 30.

{
  "segments": [
    {
      "startAirport": {
        "icao": "ESSA"
      },
      "endAirport": {
        "icao": "ESGG"
      },
      "dateTime": {
        "date": "2023-01-01",
        "time": "09:00",
        "departure": true,
        "local": true
      },
      "paxCount": "1"
    }
  ]
}

In the second example the caller is looking for mid-size or heavy jets for a round trip from EGGW to KTEB and back, for 7 passengers, arriving at KTEB at 11:00 UTC on Dec 13 and departing from KTEB the next day at 22:00 UTC. The caller is only looking for aircraft that can make the trip without fuel stops. The caller is requesting that prices are also converted to British Pounds.

{
  "criteria": {
    "requiredLift": [
      {
        "aircraftCategory": "Midsize jet"
      },
      {
        "aircraftCategory": "Heavy jet"
      }
    ],
    "requiredPartnerships": ["My partnerships"],
    "maxFuelStopsPerSegment": 0,
    "maxInitialPositioningTimeMinutes": 120,
    "minimumYearOfMake": 2001
  },
  "segments": [
    {
      "startAirport": {
        "icao": "EGGW"
      },
      "endAirport": {
        "icao": "KTEB"
      },
      "dateTime": {
        "date": "2023-01-01",
        "time": "11:00",
        "departure": false,
        "local": false
      },
      "paxCount": "7"
    },
    {
      "startAirport": {
        "icao": "KTEB"
      },
      "endAirport": {
        "icao": "EGGW"
      },
      "dateTime": {
        "date": "2023-01-02",
        "time": "22:00",
        "departure": true,
        "local": false
      },
      "paxCount": "7"
    }
  ],
  "outputCurrencies": ["GBP"]
}

Optional Query Params

When requesting any of the optional query params the response will also include this additional information.

Query Params
fields[searches]
array of strings

Sparse fields

fields[searches]
Body Params
criteria
object

Any criteria to narrow the search results.

segments
array of objects
required

Trip itinerary.

segments*
outputCurrencies
array of strings

Any specific currencies you would like Avinode to return quotes in. Use ISO3 currency codes.

outputCurrencies
outputLiftPhotoTypes
array
boolean

Include aircraft results that are unavailable according to their schedule ?

boolean
Headers
string

ISO8601 Timestamp

string

API Token

string

Calling product / software (ex: AcmeApp-v10.2)

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json